package cn.gov.customs.wxjy.task.service;

import java.util.List;
import cn.gov.customs.cacp.sdks.core.user.trans.CacpTransUser;
import cn.gov.customs.wxjy.task.pojo.TaskLog;
import cn.gov.customs.wxjy.task.pojo.TaskLogQuery;
import com.github.pagehelper.PageInfo;

/**
 * 定时任务执行时间记录Service接口
 *
 * @author xiong
 * @date 2025-12-17
 */
public interface ITaskLogService {
    /**
     * 查询定时任务执行时间记录
     *
     * @param pkTaskLog 定时任务执行时间记录主键
     * @return 定时任务执行时间记录
     */
    public TaskLog selectByPkTaskLog(String pkTaskLog);

    /**
     * 分页查询定时任务执行时间记录列表
     *
     * @param query
     * @return 定时任务执行时间记录集合
     */
    public PageInfo<TaskLog> selectPageList(TaskLogQuery query);

    /**
     * 查询定时任务执行时间记录列表
     *
     * @param query
     * @return 定时任务执行时间记录集合
     */
    public List<TaskLog> selectList(TaskLogQuery query);

    /**
     * 新增定时任务执行时间记录
     *
     * @param taskLog 定时任务执行时间记录
     * @return 结果
     */
    public int insert(TaskLog taskLog);

    /**
     * 修改定时任务执行时间记录
     *
     * @param taskLog 定时任务执行时间记录
     * @return 结果
     */
    public int update(TaskLog taskLog);

    /**
     * 批量删除定时任务执行时间记录
     *
     * @param ids 需要删除的ids主键集合
     * @return 结果
     */
    public int deleteByPkTaskLogs(String[] ids);

    /**
     * 删除定时任务执行时间记录信息
     *
     * @param pkTaskLog 定时任务执行时间记录主键
     * @return 结果
     */
    public int deleteByPkTaskLog(String pkTaskLog);

    /**
     * 逻辑删除定时任务执行时间记录信息
     *
     * @param pkTaskLog 定时任务执行时间记录主键
     * @return 结果
     */
    public int logicDelete(String pkTaskLog);

}
